org.eclipse.rdf4j.sail.nativerdf.config

## Class NativeStoreSchema

- java.lang.Object
- - org.eclipse.rdf4j.sail.nativerdf.config.NativeStoreSchema

-     public class NativeStoreSchema
      extends Object

  Defines constants for the NativeStore schema which is used by `NativeStoreFactory`s to initialize `NativeStore`s.
  Author:
    Arjohn Kampman

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `FORCE_SYNC` `http://www.openrdf.org/config/sail/native#forceSync`
    `static String` | `NAMESPACE` The NativeStore schema namespace (`http://www.openrdf.org/config/sail/native#`).
    `static IRI` | `NAMESPACE_CACHE_SIZE` `http://www.openrdf.org/config/sail/native#namespaceCacheSize`
    `static IRI` | `NAMESPACE_ID_CACHE_SIZE` `http://www.openrdf.org/config/sail/native#namespaceIDCacheSize`
    `static IRI` | `TRIPLE_INDEXES` `http://www.openrdf.org/config/sail/native#tripleIndexes`
    `static IRI` | `VALUE_CACHE_SIZE` `http://www.openrdf.org/config/sail/native#valueCacheSize`
    `static IRI` | `VALUE_ID_CACHE_SIZE` `http://www.openrdf.org/config/sail/native#valueIDCacheSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeStoreSchema()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The NativeStore schema namespace (`http://www.openrdf.org/config/sail/native#`).
      See Also:
        Constant Field Values

    - #### TRIPLE_INDEXES

          public static final IRI TRIPLE_INDEXES

      `http://www.openrdf.org/config/sail/native#tripleIndexes`

    - #### FORCE_SYNC

          public static final IRI FORCE_SYNC

      `http://www.openrdf.org/config/sail/native#forceSync`

    - #### VALUE_CACHE_SIZE

          public static final IRI VALUE_CACHE_SIZE

      `http://www.openrdf.org/config/sail/native#valueCacheSize`

    - #### VALUE_ID_CACHE_SIZE

          public static final IRI VALUE_ID_CACHE_SIZE

      `http://www.openrdf.org/config/sail/native#valueIDCacheSize`

    - #### NAMESPACE_CACHE_SIZE

          public static final IRI NAMESPACE_CACHE_SIZE

      `http://www.openrdf.org/config/sail/native#namespaceCacheSize`

    - #### NAMESPACE_ID_CACHE_SIZE

          public static final IRI NAMESPACE_ID_CACHE_SIZE

      `http://www.openrdf.org/config/sail/native#namespaceIDCacheSize`

  - ### Constructor Detail

    - #### NativeStoreSchema

          public NativeStoreSchema()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.